Package com.enonic.xp.form

## Enum FormItemType

- java.lang.Object
- - java.lang.Enum<FormItemType>
  - - com.enonic.xp.form.FormItemType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FormItemType>`

      @PublicApi
      public enum FormItemType
      extends Enum<FormItemType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FORM_ITEM_SET` |
    `FORM_OPTION_SET` |
    `FORM_OPTION_SET_OPTION` |
    `INPUT` |
    `LAYOUT` |
    `MIXIN_REFERENCE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FormItemType` | `parse​(String value)` |
    `static FormItemType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FormItemType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT

          public static final FormItemType INPUT

    - #### FORM_ITEM_SET

          public static final FormItemType FORM_ITEM_SET

    - #### LAYOUT

          public static final FormItemType LAYOUT

    - #### MIXIN_REFERENCE

          public static final FormItemType MIXIN_REFERENCE

    - #### FORM_OPTION_SET

          public static final FormItemType FORM_OPTION_SET

    - #### FORM_OPTION_SET_OPTION

          public static final FormItemType FORM_OPTION_SET_OPTION

  - ### Method Detail

    - #### values

          public static FormItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormItemType c : FormItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormItemType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parse

          public static FormItemType parse​(String value)